Loading...
Searching...
No Matches
cxx::Avl_tree_node Class Reference

Node of an AVL tree. More...

`#include <avl_tree>`

Inheritance diagram for cxx::Avl_tree_node:
Collaboration diagram for cxx::Avl_tree_node:

## Protected Member Functions

| Avl_tree_node ()=default
| Create an uninitialized node, this is what you should do.
Protected Member Functions inherited from cxx::Bits::Bst_node
| Bst_node ()
| Create uninitialized node.
| Bst_node (bool)
| Create initialized node.

## Additional Inherited Members

Static Protected Member Functions inherited from cxx::Bits::Bst_node
static Bst_node * | next (Bst_node const *p, Direction d)
| Get next node in direction d.
static void | next (Bst_node *p, Direction d, Bst_node *n)
| Set next node of p in direction d to n.
static Bst_node ** | next_p (Bst_node *p, Direction d)
| Get pointer to link in direction d.
template<typename Node>
static Node * | next (Bst_node const *p, Direction d)
| Get next node in direction d as type Node.
static void | rotate (Bst_node **t, Direction idir)
| Rotate subtree t in the opposite direction of idir.

## Detailed Description

Node of an AVL tree.

Examples
  tmpfs/lib/src/fs.cc.

Definition at line 29 of file avl_tree.

The documentation for this class was generated from the following file:

- l4/cxx/avl_tree